// src/generated-admin/endpoints/NamespaceAdmin$.ts
import { CodeGenUtil, SdkCache, Validate } from "@accelbyte/sdk";

// src/generated-definitions/NamespaceContext.ts
import { z } from "zod";
var NamespaceContext = z.object({
  namespace: z.string().nullish(),
  publisherNamespace: z.string().nullish(),
  studioNamespace: z.string().nullish(),
  type: z.enum(["Game", "Publisher", "Studio"]).nullish()
});

// src/generated-definitions/NamespaceInfo.ts
import { z as z2 } from "zod";
var NamespaceInfo = z2.object({
  clientId: z2.string().nullish(),
  createdAt: z2.string().nullish(),
  displayName: z2.string(),
  namespace: z2.string(),
  parentNamespace: z2.string().nullish(),
  status: z2.enum(["ACTIVE", "DELETED", "INACTIVE"]).nullish(),
  updatedAt: z2.string().nullish()
});

// src/generated-definitions/NamespaceInfoArray.ts
import { z as z3 } from "zod";
var NamespaceInfoArray = z3.array(NamespaceInfo);

// src/generated-definitions/NamespacePublisherInfo.ts
import { z as z4 } from "zod";
var NamespacePublisherInfo = z4.object({ publisher: z4.boolean().nullish(), publisherNamespace: z4.string().nullish() });

// src/generated-admin/endpoints/NamespaceAdmin$.ts
var NamespaceAdmin$ = class {
  constructor(axiosInstance, namespace, cache = false, isValidationEnabled = true) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.cache = cache;
    this.isValidationEnabled = isValidationEnabled;
  }
  getNamespaces(queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/admin/namespaces";
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => this.isValidationEnabled ? Validate.responseType(() => resultPromise, NamespaceInfoArray, "NamespaceInfoArray") : Validate.unsafeResponse(() => resultPromise);
    if (!this.cache) {
      return SdkCache.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil.hashCode(JSON.stringify({ params }));
    return SdkCache.withCache(cacheKey, res);
  }
  createNamespace(data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces";
    const resultPromise = this.axiosInstance.post(url, data, { params });
    return this.isValidationEnabled ? Validate.responseType(() => resultPromise, NamespaceInfo, "NamespaceInfo") : Validate.unsafeResponse(() => resultPromise);
  }
  deleteNamespace_ByNamespace() {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.delete(url, { params });
    return this.isValidationEnabled ? Validate.responseType(() => resultPromise, NamespaceInfo, "NamespaceInfo") : Validate.unsafeResponse(() => resultPromise);
  }
  getNamespace_ByNamespace(queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/admin/namespaces/{namespace}".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => this.isValidationEnabled ? Validate.responseType(() => resultPromise, NamespaceInfo, "NamespaceInfo") : Validate.unsafeResponse(() => resultPromise);
    if (!this.cache) {
      return SdkCache.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil.hashCode(JSON.stringify({ params }));
    return SdkCache.withCache(cacheKey, res);
  }
  getGame(queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/admin/namespaces/{namespace}/game".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => this.isValidationEnabled ? Validate.responseType(() => resultPromise, NamespaceInfoArray, "NamespaceInfoArray") : Validate.unsafeResponse(() => resultPromise);
    if (!this.cache) {
      return SdkCache.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil.hashCode(JSON.stringify({ params }));
    return SdkCache.withCache(cacheKey, res);
  }
  patchBasic(data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/basic".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.patch(url, data, { params });
    return this.isValidationEnabled ? Validate.responseType(() => resultPromise, NamespaceInfo, "NamespaceInfo") : Validate.unsafeResponse(() => resultPromise);
  }
  getChild(queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/admin/namespaces/{namespace}/child".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => this.isValidationEnabled ? Validate.responseType(() => resultPromise, NamespaceInfoArray, "NamespaceInfoArray") : Validate.unsafeResponse(() => resultPromise);
    if (!this.cache) {
      return SdkCache.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil.hashCode(JSON.stringify({ params }));
    return SdkCache.withCache(cacheKey, res);
  }
  patchStatus(data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/status".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.patch(url, data, { params });
    return this.isValidationEnabled ? Validate.responseType(() => resultPromise, NamespaceInfo, "NamespaceInfo") : Validate.unsafeResponse(() => resultPromise);
  }
  getContext() {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/context".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => this.isValidationEnabled ? Validate.responseType(() => resultPromise, NamespaceContext, "NamespaceContext") : Validate.unsafeResponse(() => resultPromise);
    if (!this.cache) {
      return SdkCache.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil.hashCode(JSON.stringify({ params }));
    return SdkCache.withCache(cacheKey, res);
  }
  getPublisher() {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/publisher".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => this.isValidationEnabled ? Validate.responseType(() => resultPromise, NamespacePublisherInfo, "NamespacePublisherInfo") : Validate.unsafeResponse(() => resultPromise);
    if (!this.cache) {
      return SdkCache.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil.hashCode(JSON.stringify({ params }));
    return SdkCache.withCache(cacheKey, res);
  }
};

// src/generated-admin/NamespaceAdminApi.ts
import { ApiUtils, Network } from "@accelbyte/sdk";
function NamespaceAdminApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const cache = (args == null ? void 0 : args.cache) ? args == null ? void 0 : args.cache : sdkAssembly.cache;
  const requestConfig = ApiUtils.mergedConfigs(sdkAssembly.config, args);
  const isValidationEnabled = (args == null ? void 0 : args.isValidationEnabled) !== false;
  async function getNamespaces(queryParams) {
    const $ = new NamespaceAdmin$(Network.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.getNamespaces(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function createNamespace(data) {
    const $ = new NamespaceAdmin$(Network.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.createNamespace(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function deleteNamespace_ByNamespace() {
    const $ = new NamespaceAdmin$(Network.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.deleteNamespace_ByNamespace();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getNamespace_ByNamespace(queryParams) {
    const $ = new NamespaceAdmin$(Network.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.getNamespace_ByNamespace(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getGame(queryParams) {
    const $ = new NamespaceAdmin$(Network.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.getGame(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function patchBasic(data) {
    const $ = new NamespaceAdmin$(Network.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.patchBasic(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getChild(queryParams) {
    const $ = new NamespaceAdmin$(Network.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.getChild(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function patchStatus(data) {
    const $ = new NamespaceAdmin$(Network.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.patchStatus(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getContext() {
    const $ = new NamespaceAdmin$(Network.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.getContext();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getPublisher() {
    const $ = new NamespaceAdmin$(Network.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.getPublisher();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    getNamespaces,
    createNamespace,
    deleteNamespace_ByNamespace,
    getNamespace_ByNamespace,
    getGame,
    patchBasic,
    getChild,
    patchStatus,
    getContext,
    getPublisher
  };
}

// src/generated-admin/endpoints/UserActionAdmin$.ts
import { CodeGenUtil as CodeGenUtil2, SdkCache as SdkCache2, Validate as Validate2 } from "@accelbyte/sdk";
import { z as z10 } from "zod";

// src/generated-definitions/ADtoObjectForEqu8UserBanStatusArray.ts
import { z as z6 } from "zod";

// src/generated-definitions/ADtoObjectForEqu8UserBanStatus.ts
import { z as z5 } from "zod";
var ADtoObjectForEqu8UserBanStatus = z5.object({ expires: z5.string().nullish(), userId: z5.string().nullish() });

// src/generated-definitions/ADtoObjectForEqu8UserBanStatusArray.ts
var ADtoObjectForEqu8UserBanStatusArray = z6.array(ADtoObjectForEqu8UserBanStatus);

// src/generated-definitions/ADtoObjectForEqu8UserStatus.ts
import { z as z7 } from "zod";
var ADtoObjectForEqu8UserStatus = z7.object({
  actionComment: z7.string().nullish(),
  actionId: z7.number().int().nullish(),
  expires: z7.string().nullish(),
  userId: z7.string().nullish(),
  when: z7.string().nullish()
});

// src/generated-definitions/ActionArray.ts
import { z as z9 } from "zod";

// src/generated-definitions/Action.ts
import { z as z8 } from "zod";
var Action = z8.object({
  color: z8.string().nullish(),
  description: z8.string().nullish(),
  duration: z8.number().int().nullish(),
  icon: z8.string().nullish(),
  id: z8.number().int().nullish(),
  name: z8.string().nullish(),
  priority: z8.number().int().nullish()
});

// src/generated-definitions/ActionArray.ts
var ActionArray = z9.array(Action);

// src/generated-admin/endpoints/UserActionAdmin$.ts
var UserActionAdmin$ = class {
  constructor(axiosInstance, namespace, cache = false, isValidationEnabled = true) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.cache = cache;
    this.isValidationEnabled = isValidationEnabled;
  }
  getActions() {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/actions".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => this.isValidationEnabled ? Validate2.responseType(() => resultPromise, ActionArray, "ActionArray") : Validate2.unsafeResponse(() => resultPromise);
    if (!this.cache) {
      return SdkCache2.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil2.hashCode(JSON.stringify({ params }));
    return SdkCache2.withCache(cacheKey, res);
  }
  createActionBan(data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/actions/ban".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.post(url, data, { params });
    return this.isValidationEnabled ? Validate2.responseType(() => resultPromise, z10.unknown(), "z.unknown()") : Validate2.unsafeResponse(() => resultPromise);
  }
  createActionUnban(data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/actions/unban".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.post(url, data, { params });
    return this.isValidationEnabled ? Validate2.responseType(() => resultPromise, z10.unknown(), "z.unknown()") : Validate2.unsafeResponse(() => resultPromise);
  }
  getActionsBanned(queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/admin/namespaces/{namespace}/actions/banned".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => this.isValidationEnabled ? Validate2.responseType(() => resultPromise, ADtoObjectForEqu8UserBanStatusArray, "ADtoObjectForEqu8UserBanStatusArray") : Validate2.unsafeResponse(() => resultPromise);
    if (!this.cache) {
      return SdkCache2.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil2.hashCode(JSON.stringify({ params }));
    return SdkCache2.withCache(cacheKey, res);
  }
  createActionReport(data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/actions/report".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.post(url, data, { params });
    return this.isValidationEnabled ? Validate2.responseType(() => resultPromise, z10.unknown(), "z.unknown()") : Validate2.unsafeResponse(() => resultPromise);
  }
  getActionsStatus(queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/admin/namespaces/{namespace}/actions/status".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => this.isValidationEnabled ? Validate2.responseType(() => resultPromise, ADtoObjectForEqu8UserStatus, "ADtoObjectForEqu8UserStatus") : Validate2.unsafeResponse(() => resultPromise);
    if (!this.cache) {
      return SdkCache2.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil2.hashCode(JSON.stringify({ params }));
    return SdkCache2.withCache(cacheKey, res);
  }
};

// src/generated-admin/UserActionAdminApi.ts
import { ApiUtils as ApiUtils2, Network as Network2 } from "@accelbyte/sdk";
function UserActionAdminApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const cache = (args == null ? void 0 : args.cache) ? args == null ? void 0 : args.cache : sdkAssembly.cache;
  const requestConfig = ApiUtils2.mergedConfigs(sdkAssembly.config, args);
  const isValidationEnabled = (args == null ? void 0 : args.isValidationEnabled) !== false;
  async function getActions() {
    const $ = new UserActionAdmin$(Network2.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.getActions();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function createActionBan(data) {
    const $ = new UserActionAdmin$(Network2.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.createActionBan(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function createActionUnban(data) {
    const $ = new UserActionAdmin$(Network2.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.createActionUnban(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getActionsBanned(queryParams) {
    const $ = new UserActionAdmin$(Network2.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.getActionsBanned(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function createActionReport(data) {
    const $ = new UserActionAdmin$(Network2.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.createActionReport(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getActionsStatus(queryParams) {
    const $ = new UserActionAdmin$(Network2.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.getActionsStatus(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    getActions,
    createActionBan,
    createActionUnban,
    getActionsBanned,
    createActionReport,
    getActionsStatus
  };
}

// src/generated-admin/endpoints/ConfigAdmin$.ts
import { CodeGenUtil as CodeGenUtil3, SdkCache as SdkCache3, Validate as Validate3 } from "@accelbyte/sdk";
import { z as z12 } from "zod";

// src/generated-definitions/ConfigInfo.ts
import { z as z11 } from "zod";
var ConfigInfo = z11.object({
  createdAt: z11.string().nullish(),
  key: z11.string().nullish(),
  namespace: z11.string().nullish(),
  updatedAt: z11.string().nullish(),
  value: z11.string().nullish()
});

// src/generated-admin/endpoints/ConfigAdmin$.ts
var ConfigAdmin$ = class {
  constructor(axiosInstance, namespace, cache = false, isValidationEnabled = true) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.cache = cache;
    this.isValidationEnabled = isValidationEnabled;
  }
  createConfig(data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/configs".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.post(url, data, { params });
    return this.isValidationEnabled ? Validate3.responseType(() => resultPromise, ConfigInfo, "ConfigInfo") : Validate3.unsafeResponse(() => resultPromise);
  }
  deleteConfig_ByConfigKey(configKey) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/configs/{configKey}".replace("{namespace}", this.namespace).replace("{configKey}", configKey);
    const resultPromise = this.axiosInstance.delete(url, { params });
    return this.isValidationEnabled ? Validate3.responseType(() => resultPromise, z12.unknown(), "z.unknown()") : Validate3.unsafeResponse(() => resultPromise);
  }
  getConfig_ByConfigKey(configKey) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/configs/{configKey}".replace("{namespace}", this.namespace).replace("{configKey}", configKey);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => this.isValidationEnabled ? Validate3.responseType(() => resultPromise, ConfigInfo, "ConfigInfo") : Validate3.unsafeResponse(() => resultPromise);
    if (!this.cache) {
      return SdkCache3.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil3.hashCode(JSON.stringify({ params }));
    return SdkCache3.withCache(cacheKey, res);
  }
  patchConfig_ByConfigKey(configKey, data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/configs/{configKey}".replace("{namespace}", this.namespace).replace("{configKey}", configKey);
    const resultPromise = this.axiosInstance.patch(url, data, { params });
    return this.isValidationEnabled ? Validate3.responseType(() => resultPromise, ConfigInfo, "ConfigInfo") : Validate3.unsafeResponse(() => resultPromise);
  }
  getPublisherConfig_ByConfigKey(configKey) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/publisher/configs/{configKey}".replace("{namespace}", this.namespace).replace("{configKey}", configKey);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => this.isValidationEnabled ? Validate3.responseType(() => resultPromise, ConfigInfo, "ConfigInfo") : Validate3.unsafeResponse(() => resultPromise);
    if (!this.cache) {
      return SdkCache3.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil3.hashCode(JSON.stringify({ params }));
    return SdkCache3.withCache(cacheKey, res);
  }
};

// src/generated-admin/ConfigAdminApi.ts
import { ApiUtils as ApiUtils3, Network as Network3 } from "@accelbyte/sdk";
function ConfigAdminApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const cache = (args == null ? void 0 : args.cache) ? args == null ? void 0 : args.cache : sdkAssembly.cache;
  const requestConfig = ApiUtils3.mergedConfigs(sdkAssembly.config, args);
  const isValidationEnabled = (args == null ? void 0 : args.isValidationEnabled) !== false;
  async function createConfig(data) {
    const $ = new ConfigAdmin$(Network3.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.createConfig(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function deleteConfig_ByConfigKey(configKey) {
    const $ = new ConfigAdmin$(Network3.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.deleteConfig_ByConfigKey(configKey);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getConfig_ByConfigKey(configKey) {
    const $ = new ConfigAdmin$(Network3.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.getConfig_ByConfigKey(configKey);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function patchConfig_ByConfigKey(configKey, data) {
    const $ = new ConfigAdmin$(Network3.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.patchConfig_ByConfigKey(configKey, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getPublisherConfig_ByConfigKey(configKey) {
    const $ = new ConfigAdmin$(Network3.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.getPublisherConfig_ByConfigKey(configKey);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    createConfig,
    deleteConfig_ByConfigKey,
    getConfig_ByConfigKey,
    patchConfig_ByConfigKey,
    getPublisherConfig_ByConfigKey
  };
}

// src/generated-admin/endpoints/Equ8ConfigAdmin$.ts
import { CodeGenUtil as CodeGenUtil4, SdkCache as SdkCache4, Validate as Validate4 } from "@accelbyte/sdk";
import { z as z14 } from "zod";

// src/generated-definitions/Equ8Config.ts
import { z as z13 } from "zod";
var Equ8Config = z13.object({ apiKey: z13.string().nullish(), namespace: z13.string().nullish() });

// src/generated-admin/endpoints/Equ8ConfigAdmin$.ts
var Equ8ConfigAdmin$ = class {
  constructor(axiosInstance, namespace, cache = false, isValidationEnabled = true) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.cache = cache;
    this.isValidationEnabled = isValidationEnabled;
  }
  deleteEqu8Config() {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/equ8/config".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.delete(url, { params });
    return this.isValidationEnabled ? Validate4.responseType(() => resultPromise, z14.unknown(), "z.unknown()") : Validate4.unsafeResponse(() => resultPromise);
  }
  getEqu8Config() {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/equ8/config".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => this.isValidationEnabled ? Validate4.responseType(() => resultPromise, Equ8Config, "Equ8Config") : Validate4.unsafeResponse(() => resultPromise);
    if (!this.cache) {
      return SdkCache4.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil4.hashCode(JSON.stringify({ params }));
    return SdkCache4.withCache(cacheKey, res);
  }
  patchEqu8Config(data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/equ8/config".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.patch(url, data, { params });
    return this.isValidationEnabled ? Validate4.responseType(() => resultPromise, Equ8Config, "Equ8Config") : Validate4.unsafeResponse(() => resultPromise);
  }
};

// src/generated-admin/Equ8ConfigAdminApi.ts
import { ApiUtils as ApiUtils4, Network as Network4 } from "@accelbyte/sdk";
function Equ8ConfigAdminApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const cache = (args == null ? void 0 : args.cache) ? args == null ? void 0 : args.cache : sdkAssembly.cache;
  const requestConfig = ApiUtils4.mergedConfigs(sdkAssembly.config, args);
  const isValidationEnabled = (args == null ? void 0 : args.isValidationEnabled) !== false;
  async function deleteEqu8Config() {
    const $ = new Equ8ConfigAdmin$(Network4.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.deleteEqu8Config();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getEqu8Config() {
    const $ = new Equ8ConfigAdmin$(Network4.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.getEqu8Config();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function patchEqu8Config(data) {
    const $ = new Equ8ConfigAdmin$(Network4.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.patchEqu8Config(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    deleteEqu8Config,
    getEqu8Config,
    patchEqu8Config
  };
}

// src/generated-admin/endpoints/MiscAdmin$.ts
import { CodeGenUtil as CodeGenUtil5, SdkCache as SdkCache5, Validate as Validate5 } from "@accelbyte/sdk";
import { z as z21 } from "zod";

// src/generated-definitions/AddCountryGroupResponse.ts
import { z as z16 } from "zod";

// src/generated-definitions/CountryObject.ts
import { z as z15 } from "zod";
var CountryObject = z15.object({ code: z15.string().nullish(), name: z15.string().nullish() });

// src/generated-definitions/AddCountryGroupResponse.ts
var AddCountryGroupResponse = z16.object({
  countries: z16.array(CountryObject).nullish(),
  countryGroupCode: z16.string().nullish(),
  countryGroupName: z16.string().nullish()
});

// src/generated-definitions/CountryGroupObject.ts
import { z as z17 } from "zod";
var CountryGroupObject = z17.object({
  countries: z17.array(CountryObject).nullish(),
  countryGroupCode: z17.string().nullish(),
  countryGroupName: z17.string().nullish()
});

// src/generated-definitions/CountryObjectArray.ts
import { z as z18 } from "zod";
var CountryObjectArray = z18.array(CountryObject);

// src/generated-definitions/RetrieveCountryGroupResponseArray.ts
import { z as z20 } from "zod";

// src/generated-definitions/RetrieveCountryGroupResponse.ts
import { z as z19 } from "zod";
var RetrieveCountryGroupResponse = z19.object({
  countries: z19.array(CountryObject).nullish(),
  countryGroupCode: z19.string().nullish(),
  countryGroupName: z19.string().nullish()
});

// src/generated-definitions/RetrieveCountryGroupResponseArray.ts
var RetrieveCountryGroupResponseArray = z20.array(RetrieveCountryGroupResponse);

// src/generated-admin/endpoints/MiscAdmin$.ts
var MiscAdmin$ = class {
  constructor(axiosInstance, namespace, cache = false, isValidationEnabled = true) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.cache = cache;
    this.isValidationEnabled = isValidationEnabled;
  }
  getMiscCountries(queryParams) {
    const params = { lang: "en", ...queryParams };
    const url = "/basic/v1/admin/namespaces/{namespace}/misc/countries".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => this.isValidationEnabled ? Validate5.responseType(() => resultPromise, CountryObjectArray, "CountryObjectArray") : Validate5.unsafeResponse(() => resultPromise);
    if (!this.cache) {
      return SdkCache5.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil5.hashCode(JSON.stringify({ params }));
    return SdkCache5.withCache(cacheKey, res);
  }
  getMiscLanguages() {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/misc/languages".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => this.isValidationEnabled ? Validate5.responseType(() => resultPromise, z21.unknown(), "z.unknown()") : Validate5.unsafeResponse(() => resultPromise);
    if (!this.cache) {
      return SdkCache5.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil5.hashCode(JSON.stringify({ params }));
    return SdkCache5.withCache(cacheKey, res);
  }
  getMiscTimezones() {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/misc/timezones".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => this.isValidationEnabled ? Validate5.responseType(() => resultPromise, z21.unknown(), "z.unknown()") : Validate5.unsafeResponse(() => resultPromise);
    if (!this.cache) {
      return SdkCache5.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil5.hashCode(JSON.stringify({ params }));
    return SdkCache5.withCache(cacheKey, res);
  }
  getMiscCountrygroups(queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/admin/namespaces/{namespace}/misc/countrygroups".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => this.isValidationEnabled ? Validate5.responseType(() => resultPromise, RetrieveCountryGroupResponseArray, "RetrieveCountryGroupResponseArray") : Validate5.unsafeResponse(() => resultPromise);
    if (!this.cache) {
      return SdkCache5.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil5.hashCode(JSON.stringify({ params }));
    return SdkCache5.withCache(cacheKey, res);
  }
  createMiscCountrygroup(data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/misc/countrygroups".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.post(url, data, { params });
    return this.isValidationEnabled ? Validate5.responseType(() => resultPromise, AddCountryGroupResponse, "AddCountryGroupResponse") : Validate5.unsafeResponse(() => resultPromise);
  }
  deleteMiscCountrygroup_ByCountryGroupCode(countryGroupCode) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/misc/countrygroups/{countryGroupCode}".replace("{namespace}", this.namespace).replace("{countryGroupCode}", countryGroupCode);
    const resultPromise = this.axiosInstance.delete(url, { params });
    return this.isValidationEnabled ? Validate5.responseType(() => resultPromise, z21.unknown(), "z.unknown()") : Validate5.unsafeResponse(() => resultPromise);
  }
  updateMiscCountrygroup_ByCountryGroupCode(countryGroupCode, data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/misc/countrygroups/{countryGroupCode}".replace("{namespace}", this.namespace).replace("{countryGroupCode}", countryGroupCode);
    const resultPromise = this.axiosInstance.put(url, data, { params });
    return this.isValidationEnabled ? Validate5.responseType(() => resultPromise, CountryGroupObject, "CountryGroupObject") : Validate5.unsafeResponse(() => resultPromise);
  }
};

// src/generated-admin/MiscAdminApi.ts
import { ApiUtils as ApiUtils5, Network as Network5 } from "@accelbyte/sdk";
function MiscAdminApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const cache = (args == null ? void 0 : args.cache) ? args == null ? void 0 : args.cache : sdkAssembly.cache;
  const requestConfig = ApiUtils5.mergedConfigs(sdkAssembly.config, args);
  const isValidationEnabled = (args == null ? void 0 : args.isValidationEnabled) !== false;
  async function getMiscCountries(queryParams) {
    const $ = new MiscAdmin$(Network5.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.getMiscCountries(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getMiscLanguages() {
    const $ = new MiscAdmin$(Network5.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.getMiscLanguages();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getMiscTimezones() {
    const $ = new MiscAdmin$(Network5.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.getMiscTimezones();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getMiscCountrygroups(queryParams) {
    const $ = new MiscAdmin$(Network5.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.getMiscCountrygroups(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function createMiscCountrygroup(data) {
    const $ = new MiscAdmin$(Network5.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.createMiscCountrygroup(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function deleteMiscCountrygroup_ByCountryGroupCode(countryGroupCode) {
    const $ = new MiscAdmin$(Network5.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.deleteMiscCountrygroup_ByCountryGroupCode(countryGroupCode);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function updateMiscCountrygroup_ByCountryGroupCode(countryGroupCode, data) {
    const $ = new MiscAdmin$(Network5.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.updateMiscCountrygroup_ByCountryGroupCode(countryGroupCode, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    getMiscCountries,
    getMiscLanguages,
    getMiscTimezones,
    getMiscCountrygroups,
    createMiscCountrygroup,
    deleteMiscCountrygroup_ByCountryGroupCode,
    updateMiscCountrygroup_ByCountryGroupCode
  };
}

// src/generated-admin/endpoints/UserProfileAdmin$.ts
import { CodeGenUtil as CodeGenUtil6, SdkCache as SdkCache6, Validate as Validate6 } from "@accelbyte/sdk";
import { z as z26 } from "zod";

// src/generated-definitions/UserProfileInfo.ts
import { z as z22 } from "zod";
var UserProfileInfo = z22.object({
  avatarLargeUrl: z22.string().nullish(),
  avatarSmallUrl: z22.string().nullish(),
  avatarUrl: z22.string().nullish(),
  customAttributes: z22.record(z22.any()).nullish(),
  dateOfBirth: z22.string().nullish(),
  firstName: z22.string().nullish(),
  language: z22.string().nullish(),
  lastName: z22.string().nullish(),
  namespace: z22.string().nullish(),
  publicId: z22.string().nullish(),
  status: z22.enum(["ACTIVE", "INACTIVE"]).nullish(),
  timeZone: z22.string().nullish(),
  userId: z22.string().nullish(),
  zipCode: z22.string().nullish()
});

// src/generated-definitions/UserProfilePrivateInfo.ts
import { z as z23 } from "zod";
var UserProfilePrivateInfo = z23.object({
  avatarLargeUrl: z23.string().nullish(),
  avatarSmallUrl: z23.string().nullish(),
  avatarUrl: z23.string().nullish(),
  customAttributes: z23.record(z23.any()).nullish(),
  dateOfBirth: z23.string().nullish(),
  firstName: z23.string().nullish(),
  language: z23.string().nullish(),
  lastName: z23.string().nullish(),
  namespace: z23.string().nullish(),
  privateCustomAttributes: z23.record(z23.any()).nullish(),
  publicId: z23.string().nullish(),
  status: z23.enum(["ACTIVE", "INACTIVE"]).nullish(),
  timeZone: z23.string().nullish(),
  userId: z23.string().nullish(),
  zipCode: z23.string().nullish()
});

// src/generated-definitions/UserProfilePublicInfoArray.ts
import { z as z25 } from "zod";

// src/generated-definitions/UserProfilePublicInfo.ts
import { z as z24 } from "zod";
var UserProfilePublicInfo = z24.object({
  avatarLargeUrl: z24.string().nullish(),
  avatarSmallUrl: z24.string().nullish(),
  avatarUrl: z24.string().nullish(),
  customAttributes: z24.record(z24.any()).nullish(),
  namespace: z24.string().nullish(),
  publicId: z24.string().nullish(),
  timeZone: z24.string().nullish(),
  userId: z24.string().nullish()
});

// src/generated-definitions/UserProfilePublicInfoArray.ts
var UserProfilePublicInfoArray = z25.array(UserProfilePublicInfo);

// src/generated-admin/endpoints/UserProfileAdmin$.ts
var UserProfileAdmin$ = class {
  constructor(axiosInstance, namespace, cache = false, isValidationEnabled = true) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.cache = cache;
    this.isValidationEnabled = isValidationEnabled;
  }
  createProfilePublic(data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/profiles/public".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.post(url, data, { params });
    return this.isValidationEnabled ? Validate6.responseType(() => resultPromise, UserProfilePublicInfoArray, "UserProfilePublicInfoArray") : Validate6.unsafeResponse(() => resultPromise);
  }
  getProfilesByPublicId(queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/admin/namespaces/{namespace}/profiles/byPublicId".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => this.isValidationEnabled ? Validate6.responseType(() => resultPromise, UserProfileInfo, "UserProfileInfo") : Validate6.unsafeResponse(() => resultPromise);
    if (!this.cache) {
      return SdkCache6.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil6.hashCode(JSON.stringify({ params }));
    return SdkCache6.withCache(cacheKey, res);
  }
  deleteProfile_ByUserId(userId) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/users/{userId}/profiles".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.delete(url, { params });
    return this.isValidationEnabled ? Validate6.responseType(() => resultPromise, UserProfilePrivateInfo, "UserProfilePrivateInfo") : Validate6.unsafeResponse(() => resultPromise);
  }
  getProfiles_ByUserId(userId) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/users/{userId}/profiles".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => this.isValidationEnabled ? Validate6.responseType(() => resultPromise, UserProfilePrivateInfo, "UserProfilePrivateInfo") : Validate6.unsafeResponse(() => resultPromise);
    if (!this.cache) {
      return SdkCache6.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil6.hashCode(JSON.stringify({ params }));
    return SdkCache6.withCache(cacheKey, res);
  }
  updateProfile_ByUserId(userId, data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/users/{userId}/profiles".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.put(url, data, { params });
    return this.isValidationEnabled ? Validate6.responseType(() => resultPromise, UserProfilePrivateInfo, "UserProfilePrivateInfo") : Validate6.unsafeResponse(() => resultPromise);
  }
  patchProfileStatus_ByUserId(userId, data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/users/{userId}/profiles/status".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.patch(url, data, { params });
    return this.isValidationEnabled ? Validate6.responseType(() => resultPromise, UserProfilePrivateInfo, "UserProfilePrivateInfo") : Validate6.unsafeResponse(() => resultPromise);
  }
  getProfilesCustomAttributes_ByUserId(userId) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/users/{userId}/profiles/customAttributes".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => this.isValidationEnabled ? Validate6.responseType(() => resultPromise, z26.unknown(), "z.unknown()") : Validate6.unsafeResponse(() => resultPromise);
    if (!this.cache) {
      return SdkCache6.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil6.hashCode(JSON.stringify({ params }));
    return SdkCache6.withCache(cacheKey, res);
  }
  updateProfileCustomAttribute_ByUserId(userId, data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/users/{userId}/profiles/customAttributes".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.put(url, data, { params });
    return this.isValidationEnabled ? Validate6.responseType(() => resultPromise, z26.unknown(), "z.unknown()") : Validate6.unsafeResponse(() => resultPromise);
  }
  getProfilesPrivateCustomAttributes_ByUserId(userId) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/users/{userId}/profiles/privateCustomAttributes".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => this.isValidationEnabled ? Validate6.responseType(() => resultPromise, z26.unknown(), "z.unknown()") : Validate6.unsafeResponse(() => resultPromise);
    if (!this.cache) {
      return SdkCache6.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil6.hashCode(JSON.stringify({ params }));
    return SdkCache6.withCache(cacheKey, res);
  }
  updateProfilePrivateCustomAttribute_ByUserId(userId, data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/users/{userId}/profiles/privateCustomAttributes".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.put(url, data, { params });
    return this.isValidationEnabled ? Validate6.responseType(() => resultPromise, z26.unknown(), "z.unknown()") : Validate6.unsafeResponse(() => resultPromise);
  }
};

// src/generated-admin/UserProfileAdminApi.ts
import { ApiUtils as ApiUtils6, Network as Network6 } from "@accelbyte/sdk";
function UserProfileAdminApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const cache = (args == null ? void 0 : args.cache) ? args == null ? void 0 : args.cache : sdkAssembly.cache;
  const requestConfig = ApiUtils6.mergedConfigs(sdkAssembly.config, args);
  const isValidationEnabled = (args == null ? void 0 : args.isValidationEnabled) !== false;
  async function createProfilePublic(data) {
    const $ = new UserProfileAdmin$(Network6.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.createProfilePublic(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getProfilesByPublicId(queryParams) {
    const $ = new UserProfileAdmin$(Network6.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.getProfilesByPublicId(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function deleteProfile_ByUserId(userId) {
    const $ = new UserProfileAdmin$(Network6.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.deleteProfile_ByUserId(userId);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getProfiles_ByUserId(userId) {
    const $ = new UserProfileAdmin$(Network6.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.getProfiles_ByUserId(userId);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function updateProfile_ByUserId(userId, data) {
    const $ = new UserProfileAdmin$(Network6.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.updateProfile_ByUserId(userId, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function patchProfileStatus_ByUserId(userId, data) {
    const $ = new UserProfileAdmin$(Network6.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.patchProfileStatus_ByUserId(userId, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getProfilesCustomAttributes_ByUserId(userId) {
    const $ = new UserProfileAdmin$(Network6.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.getProfilesCustomAttributes_ByUserId(userId);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function updateProfileCustomAttribute_ByUserId(userId, data) {
    const $ = new UserProfileAdmin$(Network6.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.updateProfileCustomAttribute_ByUserId(userId, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getProfilesPrivateCustomAttributes_ByUserId(userId) {
    const $ = new UserProfileAdmin$(Network6.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.getProfilesPrivateCustomAttributes_ByUserId(userId);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function updateProfilePrivateCustomAttribute_ByUserId(userId, data) {
    const $ = new UserProfileAdmin$(Network6.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.updateProfilePrivateCustomAttribute_ByUserId(userId, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    createProfilePublic,
    getProfilesByPublicId,
    deleteProfile_ByUserId,
    getProfiles_ByUserId,
    updateProfile_ByUserId,
    patchProfileStatus_ByUserId,
    getProfilesCustomAttributes_ByUserId,
    updateProfileCustomAttribute_ByUserId,
    getProfilesPrivateCustomAttributes_ByUserId,
    updateProfilePrivateCustomAttribute_ByUserId
  };
}

// src/generated-admin/endpoints/FileUploadAdmin$.ts
import { Validate as Validate7 } from "@accelbyte/sdk";

// src/generated-definitions/FileUploadUrlInfo.ts
import { z as z27 } from "zod";
var FileUploadUrlInfo = z27.object({
  accessUrl: z27.string().nullish(),
  contentType: z27.string().nullish(),
  method: z27.string().nullish(),
  url: z27.string().nullish()
});

// src/generated-admin/endpoints/FileUploadAdmin$.ts
var FileUploadAdmin$ = class {
  constructor(axiosInstance, namespace, cache = false, isValidationEnabled = true) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.cache = cache;
    this.isValidationEnabled = isValidationEnabled;
  }
  createFile_ByUserId(userId, queryParams) {
    const params = { category: "default", ...queryParams };
    const url = "/basic/v1/admin/namespaces/{namespace}/users/{userId}/files".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.post(url, null, { params });
    return this.isValidationEnabled ? Validate7.responseType(() => resultPromise, FileUploadUrlInfo, "FileUploadUrlInfo") : Validate7.unsafeResponse(() => resultPromise);
  }
  createFile_ByFolder(folder, queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/admin/namespaces/{namespace}/folders/{folder}/files".replace("{namespace}", this.namespace).replace("{folder}", folder);
    const resultPromise = this.axiosInstance.post(url, null, { params });
    return this.isValidationEnabled ? Validate7.responseType(() => resultPromise, FileUploadUrlInfo, "FileUploadUrlInfo") : Validate7.unsafeResponse(() => resultPromise);
  }
};

// src/generated-admin/FileUploadAdminApi.ts
import { ApiUtils as ApiUtils7, Network as Network7 } from "@accelbyte/sdk";
function FileUploadAdminApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const cache = (args == null ? void 0 : args.cache) ? args == null ? void 0 : args.cache : sdkAssembly.cache;
  const requestConfig = ApiUtils7.mergedConfigs(sdkAssembly.config, args);
  const isValidationEnabled = (args == null ? void 0 : args.isValidationEnabled) !== false;
  async function createFile_ByUserId(userId, queryParams) {
    const $ = new FileUploadAdmin$(Network7.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.createFile_ByUserId(userId, queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function createFile_ByFolder(folder, queryParams) {
    const $ = new FileUploadAdmin$(Network7.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.createFile_ByFolder(folder, queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    createFile_ByUserId,
    createFile_ByFolder
  };
}

// src/generated-admin/endpoints/AnonymizationAdmin$.ts
import { Validate as Validate8 } from "@accelbyte/sdk";
import { z as z28 } from "zod";
var AnonymizationAdmin$ = class {
  constructor(axiosInstance, namespace, cache = false, isValidationEnabled = true) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.cache = cache;
    this.isValidationEnabled = isValidationEnabled;
  }
  deleteAnonymizationProfile_ByUserId(userId) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/users/{userId}/anonymization/profiles".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.delete(url, { params });
    return this.isValidationEnabled ? Validate8.responseType(() => resultPromise, z28.unknown(), "z.unknown()") : Validate8.unsafeResponse(() => resultPromise);
  }
};

// src/generated-admin/AnonymizationAdminApi.ts
import { ApiUtils as ApiUtils8, Network as Network8 } from "@accelbyte/sdk";
function AnonymizationAdminApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const cache = (args == null ? void 0 : args.cache) ? args == null ? void 0 : args.cache : sdkAssembly.cache;
  const requestConfig = ApiUtils8.mergedConfigs(sdkAssembly.config, args);
  const isValidationEnabled = (args == null ? void 0 : args.isValidationEnabled) !== false;
  async function deleteAnonymizationProfile_ByUserId(userId) {
    const $ = new AnonymizationAdmin$(Network8.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.deleteAnonymizationProfile_ByUserId(userId);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    deleteAnonymizationProfile_ByUserId
  };
}

// src/generated-public/MiscApi.ts
import { ApiUtils as ApiUtils9, Network as Network9 } from "@accelbyte/sdk";

// src/generated-public/endpoints/Misc$.ts
import { CodeGenUtil as CodeGenUtil7, SdkCache as SdkCache7, Validate as Validate9 } from "@accelbyte/sdk";
import { z as z30 } from "zod";

// src/generated-definitions/RetrieveTimeResponse.ts
import { z as z29 } from "zod";
var RetrieveTimeResponse = z29.object({ currentTime: z29.string().nullish() });

// src/generated-public/endpoints/Misc$.ts
var Misc$ = class {
  constructor(axiosInstance, namespace, cache = false, isValidationEnabled = true) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.cache = cache;
    this.isValidationEnabled = isValidationEnabled;
  }
  getMiscTime() {
    const params = {};
    const url = "/basic/v1/public/misc/time";
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => this.isValidationEnabled ? Validate9.responseType(() => resultPromise, RetrieveTimeResponse, "RetrieveTimeResponse") : Validate9.unsafeResponse(() => resultPromise);
    if (!this.cache) {
      return SdkCache7.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil7.hashCode(JSON.stringify({ params }));
    return SdkCache7.withCache(cacheKey, res);
  }
  getMiscCountries(queryParams) {
    const params = { lang: "en", ...queryParams };
    const url = "/basic/v1/public/namespaces/{namespace}/misc/countries".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => this.isValidationEnabled ? Validate9.responseType(() => resultPromise, CountryObjectArray, "CountryObjectArray") : Validate9.unsafeResponse(() => resultPromise);
    if (!this.cache) {
      return SdkCache7.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil7.hashCode(JSON.stringify({ params }));
    return SdkCache7.withCache(cacheKey, res);
  }
  getMiscLanguages() {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/misc/languages".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => this.isValidationEnabled ? Validate9.responseType(() => resultPromise, z30.unknown(), "z.unknown()") : Validate9.unsafeResponse(() => resultPromise);
    if (!this.cache) {
      return SdkCache7.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil7.hashCode(JSON.stringify({ params }));
    return SdkCache7.withCache(cacheKey, res);
  }
  getMiscTimezones() {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/misc/timezones".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => this.isValidationEnabled ? Validate9.responseType(() => resultPromise, z30.unknown(), "z.unknown()") : Validate9.unsafeResponse(() => resultPromise);
    if (!this.cache) {
      return SdkCache7.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil7.hashCode(JSON.stringify({ params }));
    return SdkCache7.withCache(cacheKey, res);
  }
};

// src/generated-public/MiscApi.ts
function MiscApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const cache = (args == null ? void 0 : args.cache) ? args == null ? void 0 : args.cache : sdkAssembly.cache;
  const requestConfig = ApiUtils9.mergedConfigs(sdkAssembly.config, args);
  const isValidationEnabled = (args == null ? void 0 : args.isValidationEnabled) !== false;
  async function getMiscTime() {
    const $ = new Misc$(Network9.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.getMiscTime();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getMiscCountries(queryParams) {
    const $ = new Misc$(Network9.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.getMiscCountries(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getMiscLanguages() {
    const $ = new Misc$(Network9.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.getMiscLanguages();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getMiscTimezones() {
    const $ = new Misc$(Network9.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.getMiscTimezones();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    getMiscTime,
    getMiscCountries,
    getMiscLanguages,
    getMiscTimezones
  };
}

// src/generated-public/NamespaceApi.ts
import { ApiUtils as ApiUtils10, Network as Network10 } from "@accelbyte/sdk";

// src/generated-public/endpoints/Namespace$.ts
import { CodeGenUtil as CodeGenUtil8, SdkCache as SdkCache8, Validate as Validate10 } from "@accelbyte/sdk";
var Namespace$ = class {
  constructor(axiosInstance, namespace, cache = false, isValidationEnabled = true) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.cache = cache;
    this.isValidationEnabled = isValidationEnabled;
  }
  getNamespaces(queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/public/namespaces";
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => this.isValidationEnabled ? Validate10.responseType(() => resultPromise, NamespaceInfoArray, "NamespaceInfoArray") : Validate10.unsafeResponse(() => resultPromise);
    if (!this.cache) {
      return SdkCache8.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil8.hashCode(JSON.stringify({ params }));
    return SdkCache8.withCache(cacheKey, res);
  }
  getPublisher() {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/publisher".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => this.isValidationEnabled ? Validate10.responseType(() => resultPromise, NamespacePublisherInfo, "NamespacePublisherInfo") : Validate10.unsafeResponse(() => resultPromise);
    if (!this.cache) {
      return SdkCache8.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil8.hashCode(JSON.stringify({ params }));
    return SdkCache8.withCache(cacheKey, res);
  }
};

// src/generated-public/NamespaceApi.ts
function NamespaceApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const cache = (args == null ? void 0 : args.cache) ? args == null ? void 0 : args.cache : sdkAssembly.cache;
  const requestConfig = ApiUtils10.mergedConfigs(sdkAssembly.config, args);
  const isValidationEnabled = (args == null ? void 0 : args.isValidationEnabled) !== false;
  async function getNamespaces(queryParams) {
    const $ = new Namespace$(Network10.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.getNamespaces(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getPublisher() {
    const $ = new Namespace$(Network10.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.getPublisher();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    getNamespaces,
    getPublisher
  };
}

// src/generated-public/UserProfileApi.ts
import { ApiUtils as ApiUtils11, Network as Network11 } from "@accelbyte/sdk";

// src/generated-public/endpoints/UserProfile$.ts
import { CodeGenUtil as CodeGenUtil9, SdkCache as SdkCache9, Validate as Validate11 } from "@accelbyte/sdk";
import { z as z32 } from "zod";

// src/generated-definitions/UserZipCode.ts
import { z as z31 } from "zod";
var UserZipCode = z31.object({ zipCode: z31.string().nullish() });

// src/generated-public/endpoints/UserProfile$.ts
var UserProfile$ = class {
  constructor(axiosInstance, namespace, cache = false, isValidationEnabled = true) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.cache = cache;
    this.isValidationEnabled = isValidationEnabled;
  }
  getProfilesPublic(queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/public/namespaces/{namespace}/profiles/public".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => this.isValidationEnabled ? Validate11.responseType(() => resultPromise, UserProfilePublicInfoArray, "UserProfilePublicInfoArray") : Validate11.unsafeResponse(() => resultPromise);
    if (!this.cache) {
      return SdkCache9.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil9.hashCode(JSON.stringify({ params }));
    return SdkCache9.withCache(cacheKey, res);
  }
  getUsersMeProfiles() {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/me/profiles".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => this.isValidationEnabled ? Validate11.responseType(() => resultPromise, UserProfilePrivateInfo, "UserProfilePrivateInfo") : Validate11.unsafeResponse(() => resultPromise);
    if (!this.cache) {
      return SdkCache9.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil9.hashCode(JSON.stringify({ params }));
    return SdkCache9.withCache(cacheKey, res);
  }
  createUserMeProfile(data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/me/profiles".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.post(url, data, { params });
    return this.isValidationEnabled ? Validate11.responseType(() => resultPromise, UserProfilePrivateInfo, "UserProfilePrivateInfo") : Validate11.unsafeResponse(() => resultPromise);
  }
  updateUserMeProfile(data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/me/profiles".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.put(url, data, { params });
    return this.isValidationEnabled ? Validate11.responseType(() => resultPromise, UserProfilePrivateInfo, "UserProfilePrivateInfo") : Validate11.unsafeResponse(() => resultPromise);
  }
  getProfiles_ByUserId(userId) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/profiles".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => this.isValidationEnabled ? Validate11.responseType(() => resultPromise, UserProfileInfo, "UserProfileInfo") : Validate11.unsafeResponse(() => resultPromise);
    if (!this.cache) {
      return SdkCache9.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil9.hashCode(JSON.stringify({ params }));
    return SdkCache9.withCache(cacheKey, res);
  }
  createProfile_ByUserId(userId, data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/profiles".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.post(url, data, { params });
    return this.isValidationEnabled ? Validate11.responseType(() => resultPromise, UserProfileInfo, "UserProfileInfo") : Validate11.unsafeResponse(() => resultPromise);
  }
  updateProfile_ByUserId(userId, data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/profiles".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.put(url, data, { params });
    return this.isValidationEnabled ? Validate11.responseType(() => resultPromise, UserProfileInfo, "UserProfileInfo") : Validate11.unsafeResponse(() => resultPromise);
  }
  getUsersMeProfilesZipCode() {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/me/profiles/zipCode".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => this.isValidationEnabled ? Validate11.responseType(() => resultPromise, UserZipCode, "UserZipCode") : Validate11.unsafeResponse(() => resultPromise);
    if (!this.cache) {
      return SdkCache9.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil9.hashCode(JSON.stringify({ params }));
    return SdkCache9.withCache(cacheKey, res);
  }
  patchUserMeProfileZipCode(data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/me/profiles/zipCode".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.patch(url, data, { params });
    return this.isValidationEnabled ? Validate11.responseType(() => resultPromise, UserZipCode, "UserZipCode") : Validate11.unsafeResponse(() => resultPromise);
  }
  getProfilesPublicByPublicId(queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/public/namespaces/{namespace}/profiles/public/byPublicId".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => this.isValidationEnabled ? Validate11.responseType(() => resultPromise, UserProfilePublicInfo, "UserProfilePublicInfo") : Validate11.unsafeResponse(() => resultPromise);
    if (!this.cache) {
      return SdkCache9.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil9.hashCode(JSON.stringify({ params }));
    return SdkCache9.withCache(cacheKey, res);
  }
  getProfilesPublic_ByUserId(userId) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/profiles/public".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => this.isValidationEnabled ? Validate11.responseType(() => resultPromise, UserProfilePublicInfo, "UserProfilePublicInfo") : Validate11.unsafeResponse(() => resultPromise);
    if (!this.cache) {
      return SdkCache9.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil9.hashCode(JSON.stringify({ params }));
    return SdkCache9.withCache(cacheKey, res);
  }
  patchProfileStatus_ByUserId(userId, data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/profiles/status".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.patch(url, data, { params });
    return this.isValidationEnabled ? Validate11.responseType(() => resultPromise, UserProfileInfo, "UserProfileInfo") : Validate11.unsafeResponse(() => resultPromise);
  }
  getProfilesCustomAttributes_ByUserId(userId) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/profiles/customAttributes".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => this.isValidationEnabled ? Validate11.responseType(() => resultPromise, z32.unknown(), "z.unknown()") : Validate11.unsafeResponse(() => resultPromise);
    if (!this.cache) {
      return SdkCache9.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil9.hashCode(JSON.stringify({ params }));
    return SdkCache9.withCache(cacheKey, res);
  }
  updateProfileCustomAttribute_ByUserId(userId, data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/profiles/customAttributes".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.put(url, data, { params });
    return this.isValidationEnabled ? Validate11.responseType(() => resultPromise, z32.unknown(), "z.unknown()") : Validate11.unsafeResponse(() => resultPromise);
  }
  getUsersMeProfilesPrivateCustomAttributes() {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/me/profiles/privateCustomAttributes".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => this.isValidationEnabled ? Validate11.responseType(() => resultPromise, z32.unknown(), "z.unknown()") : Validate11.unsafeResponse(() => resultPromise);
    if (!this.cache) {
      return SdkCache9.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil9.hashCode(JSON.stringify({ params }));
    return SdkCache9.withCache(cacheKey, res);
  }
  updateUserMeProfilePrivateCustomAttribute(data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/me/profiles/privateCustomAttributes".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.put(url, data, { params });
    return this.isValidationEnabled ? Validate11.responseType(() => resultPromise, z32.unknown(), "z.unknown()") : Validate11.unsafeResponse(() => resultPromise);
  }
};

// src/generated-public/UserProfileApi.ts
function UserProfileApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const cache = (args == null ? void 0 : args.cache) ? args == null ? void 0 : args.cache : sdkAssembly.cache;
  const requestConfig = ApiUtils11.mergedConfigs(sdkAssembly.config, args);
  const isValidationEnabled = (args == null ? void 0 : args.isValidationEnabled) !== false;
  async function getProfilesPublic(queryParams) {
    const $ = new UserProfile$(Network11.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.getProfilesPublic(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getUsersMeProfiles() {
    const $ = new UserProfile$(Network11.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.getUsersMeProfiles();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function createUserMeProfile(data) {
    const $ = new UserProfile$(Network11.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.createUserMeProfile(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function updateUserMeProfile(data) {
    const $ = new UserProfile$(Network11.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.updateUserMeProfile(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getProfiles_ByUserId(userId) {
    const $ = new UserProfile$(Network11.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.getProfiles_ByUserId(userId);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function createProfile_ByUserId(userId, data) {
    const $ = new UserProfile$(Network11.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.createProfile_ByUserId(userId, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function updateProfile_ByUserId(userId, data) {
    const $ = new UserProfile$(Network11.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.updateProfile_ByUserId(userId, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getUsersMeProfilesZipCode() {
    const $ = new UserProfile$(Network11.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.getUsersMeProfilesZipCode();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function patchUserMeProfileZipCode(data) {
    const $ = new UserProfile$(Network11.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.patchUserMeProfileZipCode(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getProfilesPublicByPublicId(queryParams) {
    const $ = new UserProfile$(Network11.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.getProfilesPublicByPublicId(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getProfilesPublic_ByUserId(userId) {
    const $ = new UserProfile$(Network11.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.getProfilesPublic_ByUserId(userId);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function patchProfileStatus_ByUserId(userId, data) {
    const $ = new UserProfile$(Network11.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.patchProfileStatus_ByUserId(userId, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getProfilesCustomAttributes_ByUserId(userId) {
    const $ = new UserProfile$(Network11.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.getProfilesCustomAttributes_ByUserId(userId);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function updateProfileCustomAttribute_ByUserId(userId, data) {
    const $ = new UserProfile$(Network11.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.updateProfileCustomAttribute_ByUserId(userId, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getUsersMeProfilesPrivateCustomAttributes() {
    const $ = new UserProfile$(Network11.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.getUsersMeProfilesPrivateCustomAttributes();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function updateUserMeProfilePrivateCustomAttribute(data) {
    const $ = new UserProfile$(Network11.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.updateUserMeProfilePrivateCustomAttribute(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    getProfilesPublic,
    getUsersMeProfiles,
    createUserMeProfile,
    updateUserMeProfile,
    getProfiles_ByUserId,
    createProfile_ByUserId,
    updateProfile_ByUserId,
    getUsersMeProfilesZipCode,
    patchUserMeProfileZipCode,
    getProfilesPublicByPublicId,
    getProfilesPublic_ByUserId,
    patchProfileStatus_ByUserId,
    getProfilesCustomAttributes_ByUserId,
    updateProfileCustomAttribute_ByUserId,
    getUsersMeProfilesPrivateCustomAttributes,
    updateUserMeProfilePrivateCustomAttribute
  };
}

// src/generated-public/FileUploadApi.ts
import { ApiUtils as ApiUtils12, Network as Network12 } from "@accelbyte/sdk";

// src/generated-public/endpoints/FileUpload$.ts
import { Validate as Validate12 } from "@accelbyte/sdk";
var FileUpload$ = class {
  constructor(axiosInstance, namespace, cache = false, isValidationEnabled = true) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.cache = cache;
    this.isValidationEnabled = isValidationEnabled;
  }
  createFile_ByUserId(userId, queryParams) {
    const params = { category: "default", ...queryParams };
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/files".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.post(url, null, { params });
    return this.isValidationEnabled ? Validate12.responseType(() => resultPromise, FileUploadUrlInfo, "FileUploadUrlInfo") : Validate12.unsafeResponse(() => resultPromise);
  }
  createFile_ByFolder(folder, queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/public/namespaces/{namespace}/folders/{folder}/files".replace("{namespace}", this.namespace).replace("{folder}", folder);
    const resultPromise = this.axiosInstance.post(url, null, { params });
    return this.isValidationEnabled ? Validate12.responseType(() => resultPromise, FileUploadUrlInfo, "FileUploadUrlInfo") : Validate12.unsafeResponse(() => resultPromise);
  }
};

// src/generated-public/FileUploadApi.ts
function FileUploadApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const cache = (args == null ? void 0 : args.cache) ? args == null ? void 0 : args.cache : sdkAssembly.cache;
  const requestConfig = ApiUtils12.mergedConfigs(sdkAssembly.config, args);
  const isValidationEnabled = (args == null ? void 0 : args.isValidationEnabled) !== false;
  async function createFile_ByUserId(userId, queryParams) {
    const $ = new FileUpload$(Network12.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.createFile_ByUserId(userId, queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function createFile_ByFolder(folder, queryParams) {
    const $ = new FileUpload$(Network12.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.createFile_ByFolder(folder, queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    createFile_ByUserId,
    createFile_ByFolder
  };
}

// src/generated-public/UserActionApi.ts
import { ApiUtils as ApiUtils13, Network as Network13 } from "@accelbyte/sdk";

// src/generated-public/endpoints/UserAction$.ts
import { Validate as Validate13 } from "@accelbyte/sdk";
import { z as z33 } from "zod";
var UserAction$ = class {
  constructor(axiosInstance, namespace, cache = false, isValidationEnabled = true) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.cache = cache;
    this.isValidationEnabled = isValidationEnabled;
  }
  createActionReport_ByUserId(userId, data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/actions/report".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.post(url, data, { params });
    return this.isValidationEnabled ? Validate13.responseType(() => resultPromise, z33.unknown(), "z.unknown()") : Validate13.unsafeResponse(() => resultPromise);
  }
};

// src/generated-public/UserActionApi.ts
function UserActionApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const cache = (args == null ? void 0 : args.cache) ? args == null ? void 0 : args.cache : sdkAssembly.cache;
  const requestConfig = ApiUtils13.mergedConfigs(sdkAssembly.config, args);
  const isValidationEnabled = (args == null ? void 0 : args.isValidationEnabled) !== false;
  async function createActionReport_ByUserId(userId, data) {
    const $ = new UserAction$(Network13.create(requestConfig), namespace, cache, isValidationEnabled);
    const resp = await $.createActionReport_ByUserId(userId, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    createActionReport_ByUserId
  };
}

// src/Basic.ts
var apis = {
  NamespaceAdminApi,
  UserActionAdminApi,
  ConfigAdminApi,
  Equ8ConfigAdminApi,
  MiscAdminApi,
  UserProfileAdminApi,
  FileUploadAdminApi,
  AnonymizationAdminApi,
  MiscApi,
  NamespaceApi,
  UserProfileApi,
  FileUploadApi,
  UserActionApi
};
var Basic = apis;

// src/generated-definitions/ADtoForUnbanUserApiCall.ts
import { z as z34 } from "zod";
var ADtoForUnbanUserApiCall = z34.object({ comment: z34.string().nullish(), userIds: z34.array(z34.string()) });

// src/generated-definitions/ADtoForUpdateEqu8ConfigApiCall.ts
import { z as z35 } from "zod";
var ADtoForUpdateEqu8ConfigApiCall = z35.object({ apiKey: z35.string().nullish() });

// src/generated-definitions/AddCountryGroupRequest.ts
import { z as z36 } from "zod";
var AddCountryGroupRequest = z36.object({
  countries: z36.array(CountryObject).nullish(),
  countryGroupCode: z36.string().nullish(),
  countryGroupName: z36.string().nullish()
});

// src/generated-definitions/ConfigCreate.ts
import { z as z37 } from "zod";
var ConfigCreate = z37.object({ key: z37.string(), value: z37.string() });

// src/generated-definitions/ConfigUpdate.ts
import { z as z38 } from "zod";
var ConfigUpdate = z38.object({ value: z38.string() });

// src/generated-definitions/ErrorEntity.ts
import { z as z39 } from "zod";
var ErrorEntity = z39.object({
  devStackTrace: z39.string().nullish(),
  errorCode: z39.number().int(),
  errorMessage: z39.string(),
  messageVariables: z39.record(z39.string()).nullish()
});

// src/generated-definitions/FieldValidationError.ts
import { z as z40 } from "zod";
var FieldValidationError = z40.object({
  errorCode: z40.string().nullish(),
  errorField: z40.string().nullish(),
  errorMessage: z40.string().nullish(),
  errorValue: z40.string().nullish(),
  messageVariables: z40.record(z40.string()).nullish()
});

// src/generated-definitions/NamespaceCreate.ts
import { z as z41 } from "zod";
var NamespaceCreate = z41.object({ displayName: z41.string(), namespace: z41.string() });

// src/generated-definitions/NamespaceStatusUpdate.ts
import { z as z42 } from "zod";
var NamespaceStatusUpdate = z42.object({ status: z42.enum(["ACTIVE", "INACTIVE"]) });

// src/generated-definitions/NamespaceUpdate.ts
import { z as z43 } from "zod";
var NamespaceUpdate = z43.object({ displayName: z43.string() });

// src/generated-definitions/UpdateCountryGroupRequest.ts
import { z as z44 } from "zod";
var UpdateCountryGroupRequest = z44.object({ countries: z44.array(CountryObject).nullish(), countryGroupName: z44.string().nullish() });

// src/generated-definitions/UserBanRequest.ts
import { z as z45 } from "zod";
var UserBanRequest = z45.object({ actionId: z45.number().int(), comment: z45.string().nullish(), userIds: z45.array(z45.string()) });

// src/generated-definitions/UserProfileAdmin.ts
import { z as z46 } from "zod";
var UserProfileAdmin = z46.object({
  avatarLargeUrl: z46.string().nullish(),
  avatarSmallUrl: z46.string().nullish(),
  avatarUrl: z46.string().nullish(),
  customAttributes: z46.record(z46.any()).nullish(),
  dateOfBirth: z46.string().nullish(),
  firstName: z46.string().nullish(),
  language: z46.string().nullish(),
  lastName: z46.string().nullish(),
  privateCustomAttributes: z46.record(z46.any()).nullish(),
  status: z46.enum(["ACTIVE", "INACTIVE"]).nullish(),
  timeZone: z46.string().nullish(),
  zipCode: z46.string().nullish()
});

// src/generated-definitions/UserProfileBulkRequest.ts
import { z as z47 } from "zod";
var UserProfileBulkRequest = z47.object({ userIds: z47.array(z47.string()).nullish() });

// src/generated-definitions/UserProfileCreate.ts
import { z as z48 } from "zod";
var UserProfileCreate = z48.object({
  avatarLargeUrl: z48.string().nullish(),
  avatarSmallUrl: z48.string().nullish(),
  avatarUrl: z48.string().nullish(),
  customAttributes: z48.record(z48.any()).nullish(),
  dateOfBirth: z48.string().nullish(),
  firstName: z48.string().nullish(),
  language: z48.string().nullish(),
  lastName: z48.string().nullish(),
  timeZone: z48.string().nullish()
});

// src/generated-definitions/UserProfilePrivateCreate.ts
import { z as z49 } from "zod";
var UserProfilePrivateCreate = z49.object({
  avatarLargeUrl: z49.string().nullish(),
  avatarSmallUrl: z49.string().nullish(),
  avatarUrl: z49.string().nullish(),
  customAttributes: z49.record(z49.any()).nullish(),
  dateOfBirth: z49.string().nullish(),
  firstName: z49.string().nullish(),
  language: z49.string().nullish(),
  lastName: z49.string().nullish(),
  privateCustomAttributes: z49.record(z49.any()).nullish(),
  timeZone: z49.string().nullish()
});

// src/generated-definitions/UserProfileStatusUpdate.ts
import { z as z50 } from "zod";
var UserProfileStatusUpdate = z50.object({ status: z50.enum(["ACTIVE", "INACTIVE"]) });

// src/generated-definitions/UserProfileUpdate.ts
import { z as z51 } from "zod";
var UserProfileUpdate = z51.object({
  avatarLargeUrl: z51.string().nullish(),
  avatarSmallUrl: z51.string().nullish(),
  avatarUrl: z51.string().nullish(),
  customAttributes: z51.record(z51.any()).nullish(),
  dateOfBirth: z51.string().nullish(),
  firstName: z51.string().nullish(),
  language: z51.string().nullish(),
  lastName: z51.string().nullish(),
  privateCustomAttributes: z51.record(z51.any()).nullish(),
  timeZone: z51.string().nullish(),
  zipCode: z51.string().nullish()
});

// src/generated-definitions/UserReportRequest.ts
import { z as z52 } from "zod";
var UserReportRequest = z52.object({
  category: z52.string(),
  description: z52.string().nullish(),
  gameSessionId: z52.string().nullish(),
  subcategory: z52.string().nullish(),
  userId: z52.string()
});

// src/generated-definitions/UserZipCodeUpdate.ts
import { z as z53 } from "zod";
var UserZipCodeUpdate = z53.object({ zipCode: z53.string() });

// src/generated-definitions/ValidationErrorEntity.ts
import { z as z54 } from "zod";
var ValidationErrorEntity = z54.object({
  errorCode: z54.number().int(),
  errorMessage: z54.string(),
  errors: z54.array(FieldValidationError).nullish()
});
export {
  ADtoForUnbanUserApiCall,
  ADtoForUpdateEqu8ConfigApiCall,
  ADtoObjectForEqu8UserBanStatus,
  ADtoObjectForEqu8UserBanStatusArray,
  ADtoObjectForEqu8UserStatus,
  Action,
  ActionArray,
  AddCountryGroupRequest,
  AddCountryGroupResponse,
  AnonymizationAdmin$,
  AnonymizationAdminApi,
  Basic,
  ConfigAdmin$,
  ConfigAdminApi,
  ConfigCreate,
  ConfigInfo,
  ConfigUpdate,
  CountryGroupObject,
  CountryObject,
  CountryObjectArray,
  Equ8Config,
  Equ8ConfigAdmin$,
  Equ8ConfigAdminApi,
  ErrorEntity,
  FieldValidationError,
  FileUpload$,
  FileUploadAdmin$,
  FileUploadAdminApi,
  FileUploadApi,
  FileUploadUrlInfo,
  Misc$,
  MiscAdmin$,
  MiscAdminApi,
  MiscApi,
  Namespace$,
  NamespaceAdmin$,
  NamespaceAdminApi,
  NamespaceApi,
  NamespaceContext,
  NamespaceCreate,
  NamespaceInfo,
  NamespaceInfoArray,
  NamespacePublisherInfo,
  NamespaceStatusUpdate,
  NamespaceUpdate,
  RetrieveCountryGroupResponse,
  RetrieveCountryGroupResponseArray,
  RetrieveTimeResponse,
  UpdateCountryGroupRequest,
  UserAction$,
  UserActionAdmin$,
  UserActionAdminApi,
  UserActionApi,
  UserBanRequest,
  UserProfile$,
  UserProfileAdmin,
  UserProfileAdmin$,
  UserProfileAdminApi,
  UserProfileApi,
  UserProfileBulkRequest,
  UserProfileCreate,
  UserProfileInfo,
  UserProfilePrivateCreate,
  UserProfilePrivateInfo,
  UserProfilePublicInfo,
  UserProfilePublicInfoArray,
  UserProfileStatusUpdate,
  UserProfileUpdate,
  UserReportRequest,
  UserZipCode,
  UserZipCodeUpdate,
  ValidationErrorEntity
};
